; -----------------------------------------------------------------------------
; -----------------------------------------------------------------------------
[main]
; Filename for storing classification logs 
log=./main_classification.log

; Logging level
log_level=debug

; Path to ssh login file. Ssh login file is used for parallel classification
; processing, otherwise this parameter is optional
ssh_login_file=./hosts

; -----------------------------------------------------------------------------
; -----------------------------------------------------------------------------
; Global section for all classifiers
[classification] 
; Remove temporary files (automatically created)?
rem_temp_files=False

; Classifier workdir
workdir=/home/pkedzia/repos/plumper/plumper/tools/ml/classifier_workdir

; Path to weka jar faile
weka_jar=/mnt/data/apps/weka-3-6-10/weka.jar
; If you need external plugins you can set weka_jar in the following manner
; weka_jar=software/weka-3-6-0/weka.jar:software/libsvm/wlsvm.jar:software/libsvm/libsvm.jar 

; Path to config with list of classifiers which will be run
classification_methods=/home/pkedzia/repos/plumper/cfg/classification_methods.ini

; When using LexCSD for classification, this parameter
; determines how many best results will be received 
best_results=1

; This parameter specifies what to do if a classifier has no data to classify (nnz is 0)
; If it is set to True, then decision class is taken at random from all possible classes.
; If it is set to False, then most common class is selected.
rand_class_nnz=False

; -----------------------------------------------------------------------------
; -----------------------------------------------------------------------------
; Cross-validation section
[folds]
; method may be: kfolds, leaveoneout or 5x2
method=5x2

; when kfolds is chosen, then kfolds must be set (number of folds)
; kfolds=
